	function cQuickAddContact ()
	{
		this.xtools  	= new xtools('../expressoMail1_2/templates/');
	}

	cQuickAddContact.prototype.showList = function(data)
	{
		var	cc_data = ((typeof data) == 'object' ) ? data : data.split(',');
		var div  	= null;
		var args 	= null;
		args =
		{
			'Nickname'		: get_lang('Nickname'),
			'First_Name'	: get_lang('First Name'),
			'Last_Name'		: get_lang('Last Name'),
			'E_mail'		: 'E-mail',
			'cc_data_0'		: cc_data[0],
			'cc_data_1'		: cc_data[1],
			'cc_data_2'		: cc_data[2],
			'cc_data_3'		: cc_data[3]
		};
		
		div				= document.createElement("div");
		div.innerHTML	= this.xtools.parse(this.xtools.xml('quickAddContact'),'quickAddContact.xsl', args);
		div.setAttribute( "style","overflow:hidden");

		$(div).dialog(
		{
			resizable	: false,
			title		: get_lang("Quick Add"),
			position	: 'center',
			width		: 300,
			modal		: false,
			buttons		: [
							{
								text: get_lang("Cancel"),
								click: function()
								{
									$(this).dialog("close");
								} 
							},
							{
								text: get_lang("Save"),
								click: function()
								{
									data = '';
									data = data + $(this).find('#quickAddOne_nickName').val() + ',';
									data = data + $(this).find('#quickAddOne_firstName').val() + ',';
									data = data + $(this).find('#quickAddOne_lastName').val() + ',';
									data = data + $(this).find('#quickAddOne_email').val();
									if(ccQuickAddOne.send(data))
										$(this).dialog("close");
								}
							}
			],
			beforeClose	: function()
			{ 
				$(this).dialog("destroy");
				div.removeChild(div.firstChild);
			}
		});	
		
		
	}
	
	cQuickAddContact.prototype.send = function (data)
	{
		var sdata 		= data.split(",");
		var email		= trim(sdata[3]);
		var full_name	= trim(sdata[1]) + ' ' + trim(sdata[2]);
		var _this 		= this;
		
		var handler = function (responseText)
		{
			
			var data = responseText;
			if (!data || typeof(data) != 'object')
			{
				write_msg("Problema ao contactar servidor");
				return;
			}
			else if (data['status'] == 'alreadyExists')
			{
				alert(data['msg']);
				return;
			}
			else if (data['status'] != 'ok')
			{
				return;
			}
			
			write_msg(get_lang("Contact added successfully."));

			if ( _this.afterSave )
			{
				switch ( typeof(_this.afterSave) )
				{
					case 'function':
						_this.afterSave();
						break;

					case 'string':
						eval(_this.afterSave);
						break;
				}
			}
		};
        if( email == '' )
		{
			alert( get_lang("QuickAddEmptyMail",email) );
			return false;
		}
		
		if( !validateEmail(email) )
		{
			alert( get_lang("QuickAddInvalidMail", email) );
			return false;
		}

		var sdata	= 'add='+escape(connector.serialize(sdata));
		var CC_url	= '../index.php?menuaction=contactcenter.ui_data.data_manager&method=';
		
		connector.newRequest('cQuickAdd.Send', CC_url+'quick_add', 'POST', handler, sdata);
		return true;
	}
	
/* Build the Object */
var	ccQuickAddOne = new cQuickAddContact();